$msiId = $null
if ([Environment]::Is64BitOperatingSystem) {
	$msiId = '{EA526B11-07F0-4958-9F69-AE8A159383EE}'
	Try {
	   Write-Host "x64 environment detected, trying to uninstall the x64 version"
	   Uninstall-ChocolateyPackage 'Far' 'MSI' "$msiId /qb" -validExitCodes @(0) # We try to uninstall x86 version
	   Exit 0
	}
	Catch {
	   Write-Host "Apparently, the x86 version was installed"
	   Write-Host "Proceeding to uninstall the x86 version"
	}
}

$msiId = '{01300352-5C74-4729-BD79-2086B8DC36EC}'
Uninstall-ChocolateyPackage 'Far' 'MSI' "$msiId /qb" -validExitCodes @(0)
